export declare class EmojiService {
    constructor();
    /**
     * Convert a shortname, like :thumbsup:, to a JoyPixels image.
     */
    shortnameToImage(shortname: string): string;
    /**
     * Convert a native unicode emoji to a shortname
     */
    unicodeToShortname(unicode: string): string;
    /**
     * Convert a native unicode emoji to a JoyPixels image
     */
    unicodeToImage(unicode: string): string;
    /**
     * Replace shortcodes and/or native emoji in a blob of text to JoyPixels images
     */
    convertText(text: string): string;
}
